Getting Started

About PixMaker Lite

An overview of PixMaker Lite and its complementary viewer, PixScreen.

Taking 360 degree pictures

Tips for taking 360 degree pictures for use in PixMaker.

Saving the pictures

Tips for saving and naming the image files.


About PixMaker

About PixMaker Lite

PixMaker Lite is an innovative application that transforms multiple still images of a scene into a wide still picture or a 360-degree PixAround Scene. The complementary PixScreen displays the final scene in realistic, three-dimensional clarity.

Start with multiple images

Stitch them into a single PixAround scene

Take the pictures with any camera and open the image files in PixMaker. Then at the click of a button, PixMaker creates a seamless 360-degree PixAround scene.

PixMaker automatically compensates for differences in lighting between images, and matches and blends the images in the overlapping areas. You can also do manual fine-tuning if you wish.


Taking pictures

Tips for taking the 360-degree pictures for use in PixMaker:

  • Hold the camera steady and parallel to the ground.
  • Make sure the camera remains at the same height as you take the pictures.
  • Select your position. Remain in the same spot and take the pictures as you rotate in a clockwise direction (rotate to your right).
  • Overlap consecutive pictures by 30-50%.
    Examples:
    overlap pictures
  • Try to keep moving objects (e.g. cars and pedestrians) in the centre of the picture.


Saving the pictures

After you process the pictures you have taken, save them in any of the following file formats that are accepted by PixMaker:

  • 24-bit bitmap (.bmp)
  • JPEG (.jpg)
  • Photo CD (.pcd)

When you open the image files in PixMaker, it places them in alphabetical order. Keep this in mind when you name the files, so that you don't need to rearrange them later.


Using PixMaker Lite

Follow these three simple steps to create a 360-degree picture with PixMaker.

1 Snap
Place the pictures you took into PixMaker.

2 Stitch
Let PixMaker stitch the images.

3 Publish
Publish the 360 degree image.


1 Snap

The first step places the pictures into PixMaker.

  1. Click the Snap button.
  2. Choose where to retrieve your the pictures from: your computer or another source such as Creative WebCam Go. Click OK.
    snap pictures
    Locate the folder containing your image files, or try out the sample images provided with PixMaker.
    Tip: Click on a filename to see a preview of the image.
  3. Select the images and click OK.
    The images will appear in PixMaker.
    snap pictures

    If you need to rearrange, add or delete any images before stitching, use the functions on the Stitch menu.

Next step


2 Stitch

The second step stitches the images into a single 360-degree PixAround Scene.

  1. Specify whether the selected images cover a full 360-degree scene. If not, select Partial.
  2. Select the lens that was used to take the pictures. Be sure to select the correct lens, otherwise the images may not be aligned properly.
  3. Click the Stitch button.
    PixMaker starts to align and stitch the images. You can see the progress in the pop-up window.
    stitch images

    When completed, the final image is displayed.
    view stitched image

    Use the buttons at the bottom of the window to zoom and spin the image. Click [image] to view the image in the entire window.

If manual alignment is needed, select Manual Align from the Stitch menu.

Next step


3 Publish

The final step is to publish the 360-degree scene. You have a choice of three formats.

  1. Click the Publish button.
    publish
  2. Select a format and click OK.
    publish
  3. Choose the quality and image size. If you choose to save it as a PixAround Web page or PixAround Postcard, you can enter additional details. Click Next.
  4. Choose where to save the file to. Enter a filename and click Save.


More features

Select a topic to get more information on:

  • Rearranging images
  • Using Manual Align
  • Viewing a 360-degree scene
  • Publish options
  • Saving the project


Rearranging the images

If you need to rearrange, add or delete any images before stitching them, you will find the functions you need on the Stitch menu. For quicker access, display the Stitch Toolbar by selecting it from the View menu.

Tip: Move the mouse cursor over a button on the toolbar to see a description of its function.
stitch toolbar

  • To move an image, simply drag it to the new location.
  • To add more image files, hit the Insert key and select the image(s). The new images are added after the last image.
  • To delete an image, select it and hit the Delete key.
  • To reverse the order of the images, select Reverse order.
  • If an image appears in the wrong orientation, select it and click Rotate.


Using Manual Align

If the need arises, you can manually adjust the alignment of the images. To do so, select Manual Align from the Stitch menu.

PixMaker displays the first pair of images.
manual align

  • Use the slider to select the pair of images you want to work with.
  • Move the image on the right by dragging it, or click on it and then use the arrow keys to move it one pixel at a time.
  • Select Blend to see how the final image will look.

To move both images together in the window, use the scroll bars, or hold down the right mouse button and drag.

When you are satisfied with the alignment, click Done to save your changes.


Viewing a PixAround Scene

Whenever a PixAround Scene is displayed, you will see control buttons at the bottom of the window.

control buttons
Use them to zoom and play (automatically spin) the PixAround Scene. Click on the PixAround Scene to stop the spinning.

You can also use the mouse:

  • To pan sideways or up and down: Hold down the left mouse button and drag.
  • To zoom in or out: Hold down the right mouse button and drag up or down.


Publish options

A 360-degree image can be published in any of the following formats:

  • PixAround Scene (.jpg)
  • PixAround Web page (.html)
  • PixAround Postcard (.exe)

PixAround Scene (.jpg)

This saves the image as a JPEG file. When saving in this format, you can choose the image quality and size.

PixScreen is needed to view this PixAround Scene. Users can obtain the latest copy of PixScreen at
www.pixaround.com

PixAround Web page (.html)

This embeds the PixAround Scene in an HTML page. When saving in this format, you can choose the image quality and size. You can also enter a title and description of the Web page.
publish

PixMaker will create and display a list of the HTML page and other files needed to view the embedded PixAround Scene. If you are moving the files to your Web site or elsewhere, be sure to place them in the same directory.

PixAround Postcard (.exe)

This creates a single executable file with all the necessary viewer controls. When saving in this format, you can choose the image quality and size. You can also enter a message.
publish


Saving the project

To save your project, select Save Project on the File menu. This saves your selection of images, settings, and manual alignment if any.


Miscellanous

Select a topic to get more information on:

  • Acknowledgement


Acknowledgement

This software is based in part on the work of the Independent JPEG's Group.